#
# spec file for package cups-backends (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc libjpeg libnscd libpng libstdc++ libtiff libtool libusb libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cups-backends
BuildRequires:  cups-devel hal-devel
Summary:        Various Free Backends for the cups Package
License:        GPL
Group:          Hardware/Printing
Version:        1.0
Release:        18.2
Source0:        http://www.srz.de/Members/bla/cups/backend/hpnpf/hpnpf.tgz
Source1:        http://www.srz.de/Members/bla/cups/backend/hpnpf/hpnpf.txt
Source2:        cups-pipe.pl
Source4:        hal.c
Source5:        http://www.linuxprinting.org/download/printing/beh
Source6:        README-beh.html
Patch0:         hpnpf.patch
Requires:       cups-libs, dbus-1, hal
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains free additional backends for CUPS.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>
    Jeffrey Stedfast <fejj@novell.com>

%debug_package
%prep
%setup -c -T
mkdir hpnpf
cd hpnpf
tar xzvvf %{SOURCE0}
cd ..
cp -a %{SOURCE4} .
cp -a %{SOURCE5} beh
cp -a %{SOURCE6} .

%build
gcc $RPM_OPT_FLAGS -fPIC -fPIE -pie -DDBUS_API_SUBJECT_TO_CHANGE \
	-I%{_includedir}/dbus-1.0/ -I%{_libdir}/dbus-1.0/include/ \
	-ldbus-1 -lhal hal.c -o hal

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/cups/backend
install -m 755 -D ${RPM_SOURCE_DIR}/cups-pipe.pl $RPM_BUILD_ROOT%{_libdir}/cups/backend/pipe
install -m 755 -D hal $RPM_BUILD_ROOT%{_libdir}/cups/backend/hal
install -m 755 -D beh $RPM_BUILD_ROOT%{_libdir}/cups/backend/beh

%files 
%defattr(-, root,root)
%dir %{_libdir}/cups
%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/*
%doc README-beh.html

%changelog -n cups-backends
* Wed Mar 22 2006 - lmuelle@suse.de
- Update beh backend to the current version.
- Add beh documentation derivated from http://www.linuxprinting.org/beh.html.
- Move ncp backend to the ncpfs package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - kssingvo@suse.de
- added backend error handler (beh) (bugzilla#132002)
* Tue Oct 04 2005 - jsrain@suse.cz
- fixed the error handling in the pipe backend (#93480)
* Mon Sep 19 2005 - lmuelle@suse.de
- Don't redirect stdout to stderr in the pipe backend.
- Install the right files, [#117887].
* Tue Jul 26 2005 - kssingvo@suse.de
- initial version
